Retail Express API 2.1

Updates a specific product supplier by product ID and supplier code

Sample request:

PUT /products/123/suppliers/00
{
  "supplier_buy_ex": 1.1,
  "supplier_sku2": "SupplierSKU2",
  "lead_time": 4,
  "is_default": true,
  "notes": "This is a Note."
}
put
https://api.retailexpress.com.au/v2.1/products/{id}/suppliers/{supplier_code}

Path Parameters

idinteger(int32)required

Product ID

supplier_codestring | nullrequired

Supplier code

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Product supplier to update

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Product supplier updated successfully

ProductSupplier

* Additional properties are NOT allowed.
product_idinteger(int32)

Product ID

supplier_codestring | null

Supplier Code

supplier_namestring | null

Supplier Name

supplier_statusboolean

Supplier Status (true - Enabled, false - Disabled)

supplier_buy_exnumber | null(double)

Supplier Buy Ex

>= -922337203685477.6<= 922337203685477.6

supplier_sku2string | null

Supplier SKU2

lead_timeinteger | null(int32)

Lead Time in days

is_defaultboolean | null

Indicates if the product supplier is a default supplier

notesstring | null

Notes

is_deletedboolean | null

Indicates if the product supplier is soft deleted

put/products/{id}/suppliers/{supplier_code}

Body

{}
 
application/json

producttypes

Searches Product Types by parameters

Searches Product Types by parameters

get
https://api.retailexpress.com.au/v2.1/producttypes

Query Parameters

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Product Types data

ProductType.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Product Type Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/producttypes
 
application/json

Creates new Product Type entity in the system

Sample request:

POST /producttypes
{
   "name": "ProductTypeName"
}
post
https://api.retailexpress.com.au/v2.1/producttypes

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Type model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

New Product Type was created

ProductType

Product Type Model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product type Id.

namestring | null

Product type description (Name)

Match pattern:^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$

>= 0 characters<= 50 characters

modified_onstring(date-time)

Modified on

post/producttypes

Body

{}
 
application/json

Gets specific Product Type by unique id

Gets specific Product Type by unique id

get
https://api.retailexpress.com.au/v2.1/producttypes/{id}

Path Parameters

idinteger(int32)required

Product Type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Product Type

ProductType

Product Type Model

* Additional properties are NOT allowed.
idinteger | null(int32)

Product type Id.

namestring | null

Product type description (Name)

Match pattern:^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$

>= 0 characters<= 50 characters

modified_onstring(date-time)

Modified on

get/producttypes/{id}
 
application/json